Bug 1232 - preferences for listing networks in "selection connection" window
: preferences for listing networks in "selection connection" window
Status: RESOLVED WONTFIX
Product: Connectivity
ICD
: 5.0-beta
: All Maemo
: Low enhancement with 3 votes (vote)
: ---
Assigned To: unassigned
: icd-bugs
:
:
: 1043
:
  Show dependency tree
 
Reported: 2007-04-21 23:46 UTC by Jon Piesing
Modified: 2012-03-24 11:43 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Jon Piesing (reporter) 2007-04-21 23:46:53 UTC
In any big city, the "select connection" window will show large numbers of
networks which are useless to the user most of the time.
a) networks which aren't really there and that show up as ad-hoc networks when
you connect to them (I think these are Windows PC re-broadcasting a previously
connected ESSID).
b) networks which a particular user will never have a password for

Please consider making the listing of networks in the "selection connection"
window configurable to;
i) either not show ad-hoc networks at all or show them differently from networks
which are really there
ii) either not show secured networks which haven't been previously added or show
them at the end below open networks and secure ones which have been previously
added
Comment 1 Neil MacLeod maemo.org 2007-04-22 06:29:10 UTC
Or have two connection modes - "quick connect" mode which simply lists
previously configured WiFi and Bluetooth connections, and a "full scan" mode
which scans for available connections (ie. same as the current connect option).

The default connect mode should be "quick connect" - this doesn't need to
perform a scan at all but simply lists the known connections. I'd use "quick
connect" 99% of the time, and only occasionally would I scan for a network.
Comment 2 Andre Klapper maemo.org 2008-10-11 02:59:17 UTC
*** Bug 2946 has been marked as a duplicate of this bug. ***
Comment 3 Neil MacLeod maemo.org 2008-12-03 20:35:15 UTC
Andre - any feedback on this?

I suspect many (most?) of us use saved WiFi connections and if I'm correct this
means that automatically scanning for available WiFi networks when attempting
to connect to a saved WiFi network is completely unecessary... the default
should be to show a list of saved WiFi connections, perhaps in descending order
of most recent connection.

The user should have the option to perform a full scan and choose from
available netorks (ie. current behaviour) but this shouldn't be the default
(although some may prefer this, in which case perhaps add a user preference
"Always perform a WiFi Scan" etc.)
Comment 4 Andre Klapper maemo.org 2009-06-22 16:47:01 UTC
(In reply to comment #3)
> Andre - any feedback on this?
> 
> I suspect many (most?) of us use saved WiFi connections and if I'm correct this
> means that automatically scanning for available WiFi networks when attempting
> to connect to a saved WiFi network is completely unecessary... the default
> should be to show a list of saved WiFi connections

That's what already happens in Diablo (Saved connections on top), isn't it?
Still it offers other networks to connect with.

> The user should have the option to perform a full scan and choose from
> available netorks (ie. current behaviour) but this shouldn't be the default

It currently is in Fremantle and Diablo.
Comment 5 Neil MacLeod maemo.org 2009-06-22 19:11:35 UTC
(In reply to comment #4)
> That's what already happens in Diablo (Saved connections on top), isn't it?
> Still it offers other networks to connect with.

Yes and no. Saved Bluetooth connections appear immediately (no scan made or
required, they're BT connections after all) with the saved BT connections at
the top of the list. And saved WiFi connections also appear in the list at the
top (along with the BT saved connections), but after a delay and along with all
the other WiFi access points in the vicinity, hence this bug/enhancement
request).

The delay while the WiFi connections appear makes me think they are being
scanned for, which is completely unecessary in most circumstances.

What I'm suggesting is that both saved Bluetooth AND saved WiFi connections
should be listed immediately without a WiFi scan taking place. The user should
then be able to force a WiFi scan if they want to find a new WiFi connection,
which I'm pretty sure will become the exception rather than the rule.

The user should be able to set an "Always Scan for WiFi" option if this is
their preferred mode of operation, and of course the device should always scan
for WiFi connections when there are no saved connections configured (this
includes BT saved connections).

This certainly isn't how it works in Diablo, as Diablo always scans.

Could this suggested optimal behaviour be confusing for a user with less than
two brain cells (ie. Nokias apparent target market)? If yes, put a brief
message in the connection list dialog box explaining that WiFi scans will not
happen automatically when saved connections are available.

> > The user should have the option to perform a full scan and choose from
> > available netorks (ie. current behaviour) but this shouldn't be the default
> It currently is in Fremantle and Diablo.

No, it's not - at least it's not the default behaviour in Diablo as the user
doesn't have the option to perform a scan, the scan is performed always even
when going on to choose a previously saved connection.

My tablets have performed hundreds, possibly thousands, of WiFi scans when the
reality is each device has only ever needed to perform one WiFi scan as the
only WiFi network they connect to is my Home network, which I saved as a
connection less than 2 minutes after first booting the device... :)

Another option (not necessarily alternate, but complementary to the above)
would be to enhance the BT/WiFi Connection status icon with "quick access" menu
options for "Connect to my Phone" and "Connect to my Home WiFi" (and quick
access menu options for any other saved connections I might have), but I really
don't know how this would fit in with the new Fremantle UI which might eschew
menus.
Comment 6 Quim Gil nokia 2009-06-23 09:17:10 UTC
If you want quick wlan connections in your usual places (home, office etc) then
you can save those connections and activate the mode to connect automatically.
You don't even care about opening a dialog: the connection just happens when
you are at reach.

If you want a full scan you open the dialog of connections and it is performed.
At least in Fremantle it takes less than a second to see the first results at
sight.

Showing you all the saved wlan connections before scanning would mean that you
always see there connections that you actually can't use. If you are at home
your office wlan won't be available etc. Of course you know (most of the times,
at least) ;) when you are at home or at the office, but with the names of other
connections the thing might be more tricky. What about you saved a "T-Mobile
HotSpot" in an airport and now you are in the center of the city and you see it
also in the first results? Showing it as active or inactive requires a scan,
and then we are in the same place we were before.

Unless I'm missing something, I don't see the issue here.
Comment 7 Neil MacLeod maemo.org 2009-06-23 10:29:33 UTC
Agree about the "automatic connections", but this bug is about the list of
available connections shown when connecting manually which happens more often
than you might expect, and (for me at least) I don't need to see these
"neighbour" connections, just the connections I know/trust because they're the
ones I have saved (with sensible names)... if I want to see what other
connections are actually available, I would force a scan.

I'm not going to labour the point, but scanning by default each and every time
I want to choose a saved connection is utterly pointless for me (and the bug
reporter) and a waste of time/battery power. A smarter option would be to give
me quick access to my list of saved connections (ie. those connections I
actually want to connect to 99 times out of 100) and give me the option to find
other connections around me when I need to.

How this could be implemented is up to you, but if you're happy with the
sledgehammer approach to WiFi connection selection, fair enough. :)
Comment 8 Quim Gil nokia 2009-06-23 10:45:33 UTC
> I'm not going to labour the point, but scanning by default each and every time
> I want to choose a saved connection is utterly pointless for me (and the bug
> reporter) and a waste of time/battery power. A smarter option would be to give
> me quick access to my list of saved connections (ie. those connections I
> actually want to connect to 99 times out of 100) and give me the option to find
> other connections around me when I need to.

I still fail to see why you avoid automatic connections, if what matters to you
is to connect fast to an already saved network. Why to deal with a selection
dialog if the device can do the work for you.

And again, the device needs 1 second or less to scan and give you a first list
of results that will show you the saved networks available.
Comment 9 Neil MacLeod maemo.org 2009-06-23 10:59:42 UTC
Another use case would be when I'm on a train, and I want to establish the one
and only BT connection I have saved for my phone... how do I do this in Diablo?
By bringing up the connections list, which causes a WiFi scan that I don't
need, just so that I can choose my saved BT Phone connection.

Could this have been made easier for me? I believe so, but maybe I'm missing
the point.

As I say, I almost always establish connections to only my saved connections,
and automatic connection works much of the time (assuming I allow it to
auto-connect, which isn't always the case and touches on several other
enhancements/bugs due to this Nokia obsession that we should allow our devices
to connect automatically even when at work where it may be banned, sighs...)
but sometimes I want to choose a connection manually (BT or WiFi) and as per
the bug reporter I don't need to see the vast number of connections around me
when manually establishing a connection to one of my saved connections - I only
need to see my saved connections, period. Is it that difficult to add this
capability somewhere, ie. quick access?

It seems a missed oppurtunity to give us the option of creating saved
connections only to lump them in with all the other available connections
(albeit at the top of the list) and having to perform a WiFi scan whenever we
choose that saved connection (even if it's a BT connection).

I'm just try to suggest improvements to the way connections can be manually
chosen, and believe the current method is suboptimal in almost all cases when I
want to manually establish a connection. That is all.
Comment 10 Neil MacLeod maemo.org 2009-06-23 11:07:45 UTC
(In reply to comment #8)
> I still fail to see why you avoid automatic connections, if what matters to you
> is to connect fast to an already saved network.

Briefly as I'm already late for work... see bug 1050 and bug 943. Some of us
don't want/can't be connected to arbitrary WiFi that may surround us, even if
it is a saved connection, in which case the ability to automatically connect
becomes a nightmare, and something that I have on occasion had to disable.

One size doesn't fit all, I'm afraid.
Comment 11 Andre Klapper maemo.org 2009-06-23 16:27:49 UTC
After the last comments I tend to close this as WORKSFORME if everybody is fine
with that.
Comment 12 Neil MacLeod maemo.org 2009-06-23 17:33:00 UTC
Is "WORKSFORME" appropriate for an enhancement request?

This report isn't a bug, it is (or has become based on my comments, sorry
Jon...) an enhancement request asking for a more suitable/faster method of
establishing connections manually when the only networks the user connects to
are already setup as saved connections, rendering the WiFi scan entirely
unecessary (after all, I know where I am, I know what networks are or should be
available etc. so let me choose - quickly!)

But obviously it's only a concern for me and Jon that the current Diablo "scan
for everything, everytime, whether I want them or not" approach lacks a degree
of "sophistication", and could be improved.
Comment 13 Andre Klapper maemo.org 2012-03-24 11:43:52 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )